///////////////////////////////////////////////////////////
// LISTFONT.CPP
///////////////////////////////////////////////////////////

#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\dialog.h>
#include <owl\listbox.h>
#pragma hdrstop
#include "listfont.rc"

//////////////////////////////////
// The dialog class.
//////////////////////////////////
class TDlg : public TDialog
{
public:
	TDlg(TWindow *parent, TResId resId);
protected:
	void SetupWindow();
	void ListBox1Select();
	void ListBox2Select();
	TListBox *listBox1, *listBox2;
private:
DECLARE_RESPONSE_TABLE(TDlg);
};

DEFINE_RESPONSE_TABLE1(TDlg, TDialog)
	EV_LBN_DBLCLK(IDC_LISTBOX1, ListBox1Select),
	EV_LBN_DBLCLK(IDC_LISTBOX2, ListBox2Select),
END_RESPONSE_TABLE;


TDlg::TDlg(TWindow *parent, TResId resId)
	: TDialog(parent, resId)
{
	listBox1 = new TListBox(this, IDC_LISTBOX1);
	listBox2 = new TListBox(this, IDC_LISTBOX2);
}


void TDlg::SetupWindow()
{
	TWindow::SetupWindow();
	listBox1->SetWindowFont(
		(HFONT)GetStockObject(ANSI_FIXED_FONT), false);
	listBox1->AddString("Tiger");
	listBox1->AddString("Lion");
	listBox1->AddString("Jaguar");
	listBox1->AddString("Hyena");
	listBox1->AddString("Eagle");
	listBox1->AddString("Shark");
	listBox1->AddString("Cobra");

	listBox2->SetWindowFont(
		(HFONT)GetStockObject(SYSTEM_FONT), false);
	listBox2->AddString("Apple");
	listBox2->AddString("Orange");
	listBox2->AddString("Peach");
	listBox2->AddString("Grape");
	listBox2->AddString("Watermelon");
	listBox2->AddString("Cherry");
	listBox2->AddString("Persimmon");
	listBox2->AddString("Strawberry");
}


void TDlg::ListBox1Select()
{
	char selection[30];
	listBox1->GetSelString(selection, sizeof(selection));
	MessageBox(selection, "Animal Selection:");
}


void TDlg::ListBox2Select()
{
	char selection[30];
	listBox2->GetSelString(selection, sizeof(selection));
	MessageBox(selection, "Fruit Selection:");
}

//	 char selection[80];
//    listbox->GetSelString(selection, sizeof(selection));
//		MessageBox(selection, "Selection:", MB_OK);


//////////////////////////////////
// The application class.
//////////////////////////////////
class TApp : public TApplication
{
public:
	TApp(): TApplication() {}
	void InitMainWindow();
};

///////////////////////////////////////////////////////////
// TApp::InitMainWindow()
///////////////////////////////////////////////////////////
void TApp::InitMainWindow()
{
	// Construct the dialog box.
	TDialog *dialog = new TDlg(0, TESTDLG);

	// Construct the main window with the
	// dialog box as the client window.
	TFrameWindow *wndw =
		new TFrameWindow(0, "ListBox Font",
		dialog, TRUE);

	// Assign a menu to the main window.
	wndw->AssignMenu(MENU_1);
	wndw->Attr.Style &= ~(WS_MAXIMIZEBOX | WS_THICKFRAME);

	SetMainWindow(wndw);
	EnableBWCC();
}

///////////////////////////////////////////////////////////
// OwlMain()
///////////////////////////////////////////////////////////
int OwlMain(int, char*[])
{
   return TApp().Run();
}


